/*
 * 文 件 名:  ElecMeter
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/2/12
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.domain;

/**
 * 电计量
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/2/12]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class EnergyMeter {
    // 区域编码
    private String areaCode;

    // 边界对象类型
    private Integer objType;

    // 边界对象代码
    private String objCode;

    // 边界对象名称
    private String objName;

    // 用电量
    private Double quantity;

    // 用电成本
    private Double useCost;

    public EnergyMeter() {
    }

    public EnergyMeter(String objCode, String objName, Double quantity, Double useCost) {
        this.objCode = objCode;
        this.objName = objName;
        this.quantity = quantity;
        this.useCost = useCost;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Integer getObjType() {
        return objType;
    }

    public void setObjType(Integer objType) {
        this.objType = objType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public Double getUseCost() {
        return useCost;
    }

    public void setUseCost(Double useCost) {
        this.useCost = useCost;
    }
}